Skip to main content

API

In the Marketplace edition you call your Agent from your own application with the Chat API (SSE). Conversation history, file management, artifact retrieval, search and project operations are also available as REST APIs. MCP-capable AI clients (such as Claude Code and Codex) can connect with MCP. External agents that support A2A can call registered Agents and published workflows with A2A.

Getting started​

There are two ways to use the API. What you prepare differs (API Setup Guide).

UsageWho uses itGetting started
System integrationYour company's systemsCreate a service account in the admin console, then follow Call the API to send your first request
ApplicationEmployees (from external tools, with their own accounts)After an administrator opens the entrance for sign-in from an external tool and creates an external tool client in the authorization server console, connect by following AI Client Connection Guide (MCP)

Guides and references​

Differences from the SaaS edition

The LLM Gateway — as well as the Library, Library Agent, Skills, Playbooks, Persona, master data (organizations and job types) management, User Management, Logs and Shared Memory APIs — are published as SaaS edition APIs. The list of registered agents used in chat (GET /v1/marketplace-agents) is also available in the Marketplace edition. See SaaS > API for those.